class Numeric
    def duration
        secs  = self.to_int
        mins  = secs / 60
        hours = mins / 60
        days  = hours / 24

        if days > 0
            "#{days} %02d:%02d:%02d" % [hours % 24, mins % 60, secs % 60]
        elsif hours > 0
            "%02d:%02d:%02d" % [hours, mins % 60, secs % 60]
        elsif mins > 0
            "%02d:%02d:%02d" % [hours, mins, secs % 60]
        elsif secs >= 0
            "%02d:%02d:%02d" % [hours, mins, secs]
        end
    end
end
