class Project
	attr_accessor :name, :time, :state, 
                  :start_time, :expected

	def initialize(name, expected=nil)
		@name = name
		@expected = expected
        @state = false
        @time = 0
	end

	def start_timer
        @state = true
		@start_time = Time.now
	end

	def stop_timer
        @state = false
		@time += Time.now - start_time
		@start_time = nil
	end

	def to_a
		if @state
			[@state.to_s.foreground(:green), @name, (Time.now - @start_time).duration, @expected]
		else
			[@state.to_s.foreground(:red), @name, @time.duration, @expected]
		end
    end

    def self.headings
        ['Running', 'Name', 'Time', 'Estimate']
    end
	
end